Groovy Documentation

## org.codehaus.groovy.util
[Groovy] Class StringUtil

    java.lang.Object
      org.codehaus.groovy.util.StringUtil

    class StringUtil
    extends java.lang.Object

Provides Groovy with functionality similar to the unix tr command which translates a string replacing characters from a source set with characters from a replacement set.

Authors:
  UEHARA Junji (uehaj)
  NAKANO Yasuharu (nobeans)

Since:
  1.7.3

Method Summary
`static java.lang.String` | `tr(java.lang.String text, java.lang.String source, java.lang.String replacement)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### tr

    static java.lang.String tr(java.lang.String text, java.lang.String source, java.lang.String replacement)

Groovy Documentation